%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name zipruby

%define rubyabi 1.9.1

Summary:    Ruby bindings for libzip. 
Name:       %{?scl_prefix}rubygem-%{gem_name}
Version:    0.3.6
Release:    6%{?dist}
Group:      Development/Libraries
License:    GPLv2
URL:        https://bitbucket.org/winebarrel/zip-ruby
Source0:    http://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   %{?scl_prefix}ruby(abi) >= %{rubyabi}
Requires:   %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
BuildRequires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}ruby-devel
BuildRequires: zlib-devel
BuildArch: x86_64
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Ruby bindings for libzip

%prep
%setup -q -c -T -n %{gem_name}-%{version}
mkdir -p ./%{gem_dir}


%build
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0} --no-rdoc --no-ri
%{?scl:"}
# strip binaries
find . -name \*.o | xargs strip
# Permission
find . -name \*.rb -or -name \*.gem | xargs chmod 0644

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
mkdir -p %{buildroot}%{gem_extdir}/lib/%{gem_name}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
mv %{buildroot}%{gem_instdir}/lib/%{gem_name}.so %{buildroot}%{gem_extdir}/lib/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{gem_dir}
%{gem_extdir}
%{gem_spec}

%changelog
* Tue Aug 13 2013 Chris Duryee (beav) <cduryee@redhat.com>
- rubygem-zipruby: remove doc package, and strip binaries (cduryee@redhat.com)

* Mon Jun 03 2013 John Matthews <jwmatthews@gmail.com> 0.3.6-5
- Update tito.props to avoid the 'ruby193' name prepended during dist-git build
  (jwmatthews@gmail.com)
- Create a 'git-sam' releaser and add a tito.props for rubygem-zipruby
  (jwmatthews@gmail.com)

* Wed May 29 2013 John Matthews <jwmatthews@gmail.com> 0.3.6-4
- Move zipruby.so to %%{gem_extdir} (jwmatthews@gmail.com)

* Fri May 24 2013 John Matthews <jwmatthews@gmail.com> 0.3.6-3
- Update .spec so gemspec is included with RPM (jwmatthews@gmail.com)

* Thu May 23 2013 John Matthews <jwmatthews@gmail.com> 0.3.6-2
- new package built with tito

* Thu May 23 2013 John Matthews <jwmatthews@gmail.com> 0.0.1-1
- Initial commit

